API Reference
Poll dashboard action run status
GET
/api/dashboards/{id}/action-runs/{actionRunId}/status
Returns a minimal status payload for an action run scoped to this dashboard. Never returns logs.
Operation IDgetDashboardActionRunStatus
Authentication
- BearerAuth
http bearerAPI key token (envoy_<hex>). Create keys from Settings → API Keys — see Using the API.
Path parameters
idintegerrequiredResource ID
actionRunIdintegerrequiredSuccess response body
200Action run status
Action run status
Content typeapplication/json
responseobject4 properties
statusstringrequireditem_countinteger | nullduration_msinteger | nullerror_messagestring | nullError responses
404Resource not found
Resource not found
Content typeapplication/json
responseobject2 properties
errorstringmessagestringExample response
{
"error": "NOT_FOUND",
"message": "Resource not found"
}